import request from '@/utils/request'

// 查询巡检任务列表
export function listInspectionTask(query) {
  return request({
    url: '/ems/inspectionTask/list',
    method: 'get',
    params: query
  })
}

// 查询巡检任务详细
export function getInspectionTask(id) {
  return request({
    url: '/ems/inspectionTask/' + id,
    method: 'get'
  })
}

// 新增巡检任务
export function addInspectionTask(data) {
  return request({
    url: '/ems/inspectionTask',
    method: 'post',
    data: data
  })
}

// 修改巡检任务
export function updateInspectionTask(data) {
  return request({
    url: '/ems/inspectionTask',
    method: 'put',
    data: data
  })
}

// 删除巡检任务
export function delInspectionTask(id) {
  return request({
    url: '/ems/inspectionTask/' + id,
    method: 'delete'
  })
}
